- Home
- API Enriched
- Tenant And Identity
- config
- GET Web App Scanning Service User Token.
GET Web App Scanning Service User Token.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/system/was/user_token';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/system/was/user_token \ --header 'Authorization: <Authorization>'GET one time token to connect Web App Scanning Service.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”A successful response.
Response body of token to connect to the Web App Scanning Service.
object
The Web App Scanning Service URL to be redirected by F5 Distributed Cloud Console.
The token to connect to Web App Scanning Service.
The User ID of Web App Scanning Service.
Examplegenerated
{ "redirect_url": "example", "token": "example", "user_id": "example"}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example